---
title: 'RTCDataChannel: close event'
slug: Web/API/RTCDataChannel/close_event
tags:
  - API
  - Connection
  - Connectivity
  - Networking
  - RTCDataChannel
  - Reference
  - WebRTC
  - WebRTC API
  - channel
  - close
  - data
  - events
---
<div>{{WebRTCSidebar}}</div>

<p><span class="seoSummary">The <strong><code>close</code></strong> event is sent to the {{domxref("RTCDataChannel.onclose", "onclose")}} event handler on an {{domxref("RTCDataChannel")}} instance when the data transport being used for the data channel has closed.</span> Before any further data can be transferred using <code>RTCDataChannel</code>, a new data channel instance must be created.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("RTCDataChannel.onclose")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example sets up a handler for the <code>close</code> event for the {{domxref("RTCDataChannel")}} named <code>dc</code>; its responsibility in this example is to update user interface elements to reflect that there is no longer an ongoing call, and to allow a new call to be started.</p>

<pre class="brush: js notranslate">dc.addEventListener("close", ev =&gt; {
  messageInputBox.disabled = true;
  sendButton.disabled = true;
  connectButton.disabled = false;
  disconnectButton.disabled = true;
}, false);
</pre>

<p>All this code does in response to receiving the <code>close</code> event is to disable an input box and its "Send" button, and to enable the button used to start a call (while disabling the one that ends a call).</p>

<p>You can also use the {{domxref("RTCDataChannel.onclose", "onclose")}} event handler property to set a handler for <code>close</code> events:</p>

<pre class="brush: js notranslate">dc.onclose = ev =&gt; {
  messageInputBox.disabled = true;
  sendButton.disabled = true;
  connectButton.disabled = false;
  disconnectButton.disabled = true;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcdatachannel-close', 'close')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.close_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Simple_RTCDataChannel_sample">A simple RTCDataChannel example</a></li>
 <li>Related events: {{domxref("RTCDataChannel.open_event", "open")}}, {{domxref("RTCDataChannel.message_event", "message")}}, and {{domxref("RTCDataChannel.error_event", "error")}}</li>
</ul>
